#pragma once

#include "CoreMinimal.h"
#include "TargetableStrategy.h"
#include "DreamPalletTargetableStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class THENIGHTMARE_API UDreamPalletTargetableStrategy : public UTargetableStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _targetPointVerticalOffset;

public:
	UDreamPalletTargetableStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UDreamPalletTargetableStrategy) { return 0; }
